| Home | Libraries | People | FAQ | More

## Class template unwrap_recursive_wrapper

boost::unwrap_recursive_wrapper — Unwraps the specified argument if given a specialization of `recursive_wrapper`.

## Synopsis

    // In header: <boost/variant/recursive_wrapper.hpp>

    template<typename T>
    class unwrap_recursive_wrapper {
    public:
      // types
      typedef unspecified type;
    };

## Description

`type` is equivalent to `T::type` if `T` is a specialization of `recursive_wrapper`. Otherwise, `type` is equivalent to `T`.